haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Class

# Documentation

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

data Log #

Constructors

LogImplementedMethods Class [Text] |
LogShake Log |

#### Instances

Instances details

Pretty Log # |
Instance details Defined in Ide.Plugin.Class.Types Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #